Skip to main content
`Ctrl`+`K`

# TaoSoftThreshold

Calculates soft thresholding routine with input vector and given lower and upper bound and returns it to output vector.

## Synopsis

    PetscErrorCode TaoSoftThreshold(Vec in, PetscReal lb, PetscReal ub, Vec out)

Collective

## Input Parameters

- in - input vector to be thresholded

- lb - lower bound

- ub - upper bound

## Output Parameter

- out - Soft thresholded output vector

## Notes

Soft thresholding is defined as [ S(input,lb,ub) = \begin{cases} input - ub & \text{if } input > ub \ 0 & \text{if } lb \leq input \leq ub \ input - lb & \text{if } input < lb \end{cases} ]

## See Also

`Tao`, `Vec`

## Level

developer

## Location

src/tao/util/softthreshold.c

## Examples

src/tao/tutorials/ex4.c
src/tao/constrained/tutorials/tomographyADMM.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages